import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:lru_image_cache/lru_image_cache.dart';

class CacheHolder {
  static final cache = LRUImageCache();
}

void main() {
  test('Cache images by binary data inside and retrieve Image objects.', () {
    final urls = [
      'https://via.placeholder.com/200x300.png',
      'https://via.placeholder.com/400x500.png'
    ];
    final future = CacheHolder.cache.cache(urls, BoxFit.contain);
    future.then((values) {
      if (CacheHolder.cache.contains(urls[0])) {
        expect(CacheHolder.cache.size(urls[0]), Size(200, 300));
      }

      if (CacheHolder.cache.contains(urls[1])) {
        expect(CacheHolder.cache.size(urls[1]), Size(400, 500));
      }
    });
    expect(future, completes);
  });
}
